import java.awt.*;
import java.awt.event.*;

public class AlertDialog extends Frame
implements WindowListener,ActionListener{

    Label alertLabel;
    Button okButton,cancelButton;
    Panel alertPanel;
    Dialog dialog;
    boolean ans;

    public AlertDialog(){
        dialog = new Dialog(this);
        dialog.setModal(true);
        dialog.setSize(200,100);
        dialog.setTitle("Alert");
        dialog.setBackground(Color.white);
        dialog.setFont(new Font("Dialog",Font.PLAIN,12));
        dialog.addWindowListener(this);
        alertLabel = new Label("Alert!!",Label.CENTER);
        alertPanel = new Panel();
        okButton = new Button("Yes");
        cancelButton = new Button("No");
        okButton.addActionListener(this);
        cancelButton.addActionListener(this);
        alertPanel.add(okButton);
        alertPanel.add(cancelButton);
        dialog.add(alertLabel,"North");
        dialog.add(alertPanel,"Center");
    }

    public boolean showDialog(String mes){
        StartupDAQ.conFrame.alertflag = true;
        ans = false;
        alertLabel.setText(mes);
        dialog.pack();
        dialog.show();
        StartupDAQ.conFrame.alertflag = false;
        return ans;
    }

    /* Action Listener */
    public void actionPerformed(ActionEvent evt){
        Object obj = evt.getSource();
        if(obj == okButton){
            ans = true;
            dispose();
        }else{
            dispose();
        }
    }

    /* WindowListener */
	public void windowClosed(WindowEvent evt){
	    dispose();
	}

	public void windowClosing(WindowEvent evt){
		dispose();
	}

	public void windowOpened(WindowEvent evt){
	}

	public void windowIconified(WindowEvent evt){
	}

	public void windowDeiconified(WindowEvent evt){
	}

	public void windowActivated(WindowEvent evt){
	}

	public void windowDeactivated(WindowEvent evt){
	}

}
