import java.awt.*;

public class DimScaler extends Container{
    public int dg,b,c,g,o,p,r;
    public static final int TYPE_50=0,TYPE_100=1,
        TYPE_200=2,TYPE_500=3,TYPE_1000=4,TYPE_NLOG=5,TYPE_LOG=6;
    Label[] color,size;

    DimScaler(int type){
        //this.setSize(50,150);
        this.setFont(new Font("Serif",Font.PLAIN,10));
        this.setLayout(new GridLayout(0,2,0,0));
        color = new Label[7];
        size = new Label[7];
        for(int i=6;i>=0;i--){
            color[i] = new Label("");
            size[i] = new Label("0000",Label.CENTER);
        }
        color[0].setBackground(Color.darkGray);
        color[1].setBackground(Color.blue);
        color[2].setBackground(Color.cyan);
        color[3].setBackground(Color.green);
        color[4].setBackground(Color.orange);
        color[5].setBackground(Color.pink);
        color[6].setBackground(Color.red);

        setSize(type);

        for(int i=0;i<7;i++){
            this.add(color[i]);
            this.add(size[i]);
        }
    }

    public void setSize(int type){
        switch(type){
        case 0:
            dg=50;b=100;c=150;g=200;o=250;p=300;
            size[0].setText("50");
            size[1].setText("100");
            size[2].setText("150");
            size[3].setText("200");
            size[4].setText("250");
            size[5].setText("300");
            size[6].setText("More");
            break;
        case 1:
            dg=100;b=200;c=300;g=400;o=500;p=600;
            size[0].setText("100");
            size[1].setText("200");
            size[2].setText("300");
            size[3].setText("400");
            size[4].setText("500");
            size[5].setText("600");
            size[6].setText("More");
            break;
        case 2:
            dg=200;b=400;c=600;g=800;o=1000;p=1200;
            size[0].setText("200");
            size[1].setText("400");
            size[2].setText("600");
            size[3].setText("800");
            size[4].setText("1000");
            size[5].setText("1200");
            size[6].setText("More");
            break;
        case 3:
            dg=500;b=1000;c=1500;g=2000;o=2500;p=3000;
            size[0].setText("500");
            size[1].setText("1000");
            size[2].setText("1500");
            size[3].setText("2000");
            size[4].setText("2500");
            size[5].setText("3000");
            size[6].setText("More");
            break;
        case 4:
            dg=1000;b=2000;c=3000;g=4000;o=5000;p=6000;
            size[0].setText("1000");
            size[1].setText("2000");
            size[2].setText("3000");
            size[3].setText("4000");
            size[4].setText("5000");
            size[5].setText("6000");
            size[6].setText("More");
            break;
        case 5:
            dg=5;b=10;c=50;g=100;o=1000;p=10000;
            size[0].setText("5");
            size[1].setText("10");
            size[2].setText("50");
            size[3].setText("100");
            size[4].setText("1000");
            size[5].setText("10K");
            size[6].setText("More");
            break;
        case 6:
            dg=1;b=10;c=100;g=1000;o=10000;p=100000;
            size[0].setText("1");
            size[1].setText("10");
            size[2].setText("100");
            size[3].setText("1000");
            size[4].setText("10K");
            size[5].setText("100K");
            size[6].setText("More");
            break;
        }
    }
}
