import java.awt.*;
import java.awt.event.*;

public class MakeGate extends Frame
    implements WindowListener,ActionListener{

    int type,num,value,low,high;
    String name;
    CheckboxGroup group;
    Checkbox dataCheck,gateCheck;
    Choice dataChoice[];
    Button okButton,cancelButton;
    TextField lowTF,highTF,nameTF;
    Label[] label;

    MakeGate(int n){
        this.setTitle("Make Gate");
        this.setFont(StartupDAQ.defaultFont);
        this.addWindowListener(this);
        Panel panel = new Panel(new GridLayout(0,4));
        Panel bpanel = new Panel();

        type = 0xff;

        label = new Label[9];
        label[0] = new Label("");
        label[1] = new Label("Lower",Label.CENTER);
        label[2] = new Label("Comparison",Label.CENTER);
        label[3] = new Label("Upper",Label.CENTER);
        label[4] = new Label("");
        label[5] = new Label("Gate1",Label.CENTER);
        label[6] = new Label("and",Label.CENTER);
        label[7] = new Label("Gate2",Label.CENTER);
        label[8] = new Label("Return Value",Label.CENTER);

        okButton = new Button("Make Gate");
        okButton.addActionListener(this);
        cancelButton = new Button("Cancel");
        cancelButton.addActionListener(this);

        lowTF = new TextField();
        highTF = new TextField();
        nameTF = new TextField();
        nameTF.setText("Gate"+Integer.toString(n));

        group = new CheckboxGroup();
        dataCheck = new Checkbox("Data",true,group);
        gateCheck = new Checkbox("Gate",false,group);

        dataChoice = new Choice[4];
        for(int i=0;i<4;i++){
            dataChoice[i] = new Choice();
        }
        for(int i=0;i<StartupDAQ.conFrame.histNum;i++){
            dataChoice[0].add(StartupDAQ.conFrame.histdata[i].getName());
        }
        for(int i=0;i<StartupDAQ.conFrame.gateNum;i++){
            dataChoice[1].add(StartupDAQ.conFrame.gate[i].getName());
            dataChoice[2].add(StartupDAQ.conFrame.gate[i].getName());
        }
        for(int i=0;i<StartupDAQ.conFrame.dataNum;i++){
            dataChoice[3].add(StartupDAQ.conFrame.histdata[i].getName());
        }
        for(int i=0;i<4;i++){
            panel.add(label[i]);
        }
        panel.add(dataCheck);
        panel.add(lowTF);
        panel.add(dataChoice[0]);
        panel.add(highTF);
        for(int i=4;i<8;i++){
            panel.add(label[i]);
        }
        panel.add(gateCheck);
        panel.add(dataChoice[1]);
        panel.add(new Label(""));
        panel.add(dataChoice[2]);
        panel.add(new Label("Name",Label.CENTER));
        panel.add(nameTF);
        panel.add(label[8]);
        panel.add(dataChoice[3]);

        bpanel.add(okButton);
        bpanel.add(cancelButton);

        this.add(panel,"Center");
        this.add(bpanel,"South");
        this.pack();
        this.show();
    }

	/* ActionListener */
	public void actionPerformed(ActionEvent evt){
		Object obj = evt.getSource();
        if(obj == okButton){
            name = nameTF.getText();
            num = 0;
            value = dataChoice[3].getSelectedIndex();
            if(dataCheck.getState() == true){
                type = 0;
                num = dataChoice[0].getSelectedIndex();
                low = Integer.parseInt(lowTF.getText());
                high = Integer.parseInt(highTF.getText());
            }else{
                type = 1;
                low = dataChoice[1].getSelectedIndex();
                high = dataChoice[2].getSelectedIndex();
            }
            StartupDAQ.conFrame.addGate(name,type,num,value,low,high);

        }
        dispose();
    }

	/* WindowLintener */
	public void windowClosed(WindowEvent evt){
	}

	public void windowClosing(WindowEvent evt){
		dispose();
	}

	public void windowOpened(WindowEvent evt){
	}

	public void windowIconified(WindowEvent evt){
	}

	public void windowDeiconified(WindowEvent evt){
	}

	public void windowActivated(WindowEvent evt){
	}

	public void windowDeactivated(WindowEvent evt){
	}
}

