import java.awt.*;
import java.awt.event.*;

public class Scaler extends Frame
    implements WindowListener,ItemListener{

    Label[] scalerLabel;
    CheckboxGroup scalerGroup;
    Checkbox abCbox,addCbox;
    int sum;

    Scaler(int tmpsum){
        sum = tmpsum;

        this.setTitle("Scaler");
        this.setFont(StartupDAQ.defaultFont);
        this.addWindowListener(this);
        Panel panel = new Panel(new GridLayout(0,2));

        scalerGroup = new CheckboxGroup();
        abCbox = new Checkbox("Absolute",true,scalerGroup);
        addCbox = new Checkbox("Addtion",false,scalerGroup);
        abCbox.addItemListener(this);
        addCbox.addItemListener(this);
        panel.add(abCbox);
        panel.add(addCbox);

        scalerLabel = new Label[sum];
        for(int i=0;i<sum;i++){
            scalerLabel[i] = new Label("0",Label.RIGHT);
            panel.add(new Label(StartupDAQ.scalerName[i],Label.CENTER));
            panel.add(scalerLabel[i]);
        }

        this.add(panel,"Center");
        this.pack();
    }

    public void updateScaler(){
        for(int i=0;i<sum;i++){
            scalerLabel[i].setText(Integer.toString(StartupDAQ.conFrame.scalerdata[i].getCount()));
        }
    }

    /* ItemListenr */
    public void itemStateChanged(ItemEvent e){
        int sum = StartupDAQ.scalerSum;
        if(abCbox.getState() == true){
            for(int i=0;i<sum;i++){
                StartupDAQ.conFrame.scalerdata[i].setType(ScalerData.ABSOLUTE);
            }
        }else{
            for(int i=0;i<sum;i++){
                StartupDAQ.conFrame.scalerdata[i].setType(ScalerData.ADDITION);
            }
        }
    }

    /* WindowLintener */
    public void windowClosed(WindowEvent evt){
    }
    
    public void windowClosing(WindowEvent evt){
        dispose();
    }
    
    public void windowOpened(WindowEvent evt){
    }
    
    public void windowIconified(WindowEvent evt){
    }

    public void windowDeiconified(WindowEvent evt){
    }

    public void windowActivated(WindowEvent evt){
    }

    public void windowDeactivated(WindowEvent evt){
    }
}
