void quit_proc(Widget w, XtPointer client, XtPointer call){
  XtUnrealizeWidget(toplevel);
  printf("exit\n");
  exit(0);
}

void mouse_evt(Widget *can,XtPointer client, XEvent *evt){
  int x,lb,ub;

  switch(evt->type){
  case Expose:
    update_hist();
    break;
  case FocusIn:
    update_hist();
    break;
  case EnterNotify:
    update_hist();
    break;
  case ButtonRelease:
    XtVaGetValues(curToggle,XtNstate,&curflag,NULL);
    switch(evt->xbutton.button){
    case 1:
      x0 = evt->xbutton.x;
      set_xyLabel(x0);
      if(curflag == True && x0flag == False){
	draw_cur1(&canvas,x0);
	x0flag = True;
      }
      break;
    case 2:
      x = evt->xbutton.x;
      expand_hist(x);
      break;
    case 3:
      x1 = evt->xbutton.x;
      if(curflag == True && x0flag == True){
	draw_cur2(&canvas,x1);
	x0flag = False;
	curflag = False;
	XtVaSetValues(curToggle,XtNstate,curflag,NULL);
	lb = cx2bin(x0);
	ub = cx2bin(x1);
	if(lb == ub){
	  printf("x0 = x1 , can't calc.\n");
	}else{
	  if(lb > ub){
	    x = lb;
	    ub = lb;
	    lb = x;
	  }
	  calcArea(&hist[chid],lb,ub);
	}
      }
      break;
    }
    break;
  }

}

void dmouse_evt(Widget *can,XtPointer client, XEvent *evt){

  switch(evt->type){
  case Expose:
    update_hist();
    break;
  case FocusIn:
    update_hist();
    break;
  case EnterNotify:
    update_hist();
    break;
  case ButtonRelease:
    break;
  }
}

void select_hist(Widget w,XtPointer client, XtPointer call){
  chid = (int)client;
  XtVaSetValues(histMenuButton,XtNlabel,hist[chid].name,NULL);
  update_hist();  
}

void dselect_hist(Widget w,XtPointer client, XtPointer call){
  dchid = (int)client;
  XtVaSetValues(dhistMenuButton,XtNlabel,dhist[dchid].name,NULL);
  update_hist();
}

void hwhist(Widget w, XtPointer client, XtPointer call){
  if(hinfo[chid].hamp > 0){
    hinfo[chid].hamp *= 2;
  }else{
    hinfo[chid].hamp = 1;
  }
  draw_hist1d(&canvas,chid);
}
void hhhist(Widget w, XtPointer client, XtPointer call){
  if(hinfo[chid].hamp > 1){
    hinfo[chid].hamp /= 2;
  }else{
    hinfo[chid].hamp = 1;
  }
  draw_hist1d(&canvas,chid);
}
void hlhist(Widget w, XtPointer client, XtPointer call){
  hinfo[chid].hamp = -1;
  draw_hist1d(&canvas,chid);
}

