struct hist1d{
  int id;
  int src;
  char name[64];
  int gate;
  int bin;
  int lower;
  int upper;
  unsigned int *data;
};

struct hist2d{
  int id;
  int xsrc;
  int ysrc;
  char name[64];
  int gate;
  int xbin;
  int xlower;
  int xupper;
  int ybin;
  int ylower;
  int yupper;
  unsigned int **data;
};


extern int mkhist1d(struct hist1d *hist);
extern int mkhist2d(struct hist2d *hist);
int addhist1d(struct hist1d *hist,unsigned short val);
int addhist2d(struct hist2d *hist,unsigned short xval,unsigned short yval);
int erasehist1d(struct hist1d *hist);
int erasehist2d(struct hist2d *hist);
