void 
dummy_callback (Widget w, XtPointer closure, XtPointer callSpecific){
	int		dummyNumber = (int)closure;
	printf("Dummy Menu entry No.%d selected.\n",
		dummyNumber);
}

Widget
SimpleMenuAddMenu (Widget wdMenu, XtCallbackProc func,
			XtPointer closure, char *name, Arg *args, int nArgs)
{	Widget			wdMenuEntry;
	XtCallbackRec		acb[2] = {{NULL,NULL},{NULL,NULL}};

	acb[0].callback = func;
	acb[0].closure  = closure;
	XtSetArg (args[nArgs++], XtNcallback, (XtArgVal) acb);
	wdMenuEntry = XtCreateManagedWidget (name, smeBSBObjectClass,
		wdMenu, args, nArgs);

	return wdMenuEntry;
}

Widget
SimpleMenuAddLine (Widget wdMenu, int number){
	char		st[32];
	Widget		wdMenuLine;

	snprintf (st, 32, "line%02d", number);
	wdMenuLine = XtCreateManagedWidget (st,
		smeLineObjectClass, wdMenu, NULL, 0);

	return wdMenuLine;
}

Widget
SimpleMenuAddMenu_Dummy (Widget wdMenu, int number)
{
	char		st[32];
	Arg		args[2];

	snprintf (st, 32, "dummy%02d", number);
	return SimpleMenuAddMenu (wdMenu, dummy_callback,
		(XtPointer)number, st, args, 0);
}
