void makeWidget(void){
  int argc = 1,i;
  char *argv[1];

  argv[0] = "NBBQHist";

  toplevel = XtVaAppInitialize(&ac,"bbhist",NULL,0,
			       &argc, argv,fallbackResources,
			       NULL);

  panel = XtVaCreateManagedWidget(
	 "panel",formWidgetClass,toplevel,
	 XtVaTypedArg,XtNbackground,XtRString,
	 "LightSteelBlue",strlen("LightSteelBlue")+1,
	 NULL);

  canvas = XtVaCreateManagedWidget(
	"core",coreWidgetClass,panel,
	XtNhorizDistance,50,
	XtNvertDistance,35,
	XtNwidth,500,
	XtNheight,300,
	XtNtop,XawChainTop,
	XtNleft,XawChainLeft,
	XtVaTypedArg,XtNbackground,XtRString,
	"White",strlen("White")+1,
	NULL);
  
  XtVaGetValues(canvas,XtNwidth,&cw,XtNheight,&ch,
		XtNx,&cx,XtNy,&cy,NULL);
  cw &= 0xffff;
  ch &= 0xffff;
  cx &= 0xffff;
  cy &= 0xffff;

  histMenu = XtVaCreatePopupShell
    ("histMenu",simpleMenuWidgetClass,toplevel,
     XtNlabel,"Select Histogram",
     XtNwidth,120,
     XtVaTypedArg,XtNbackground,XtRString,"LightCyan",strlen("LightCyan")+1,
     NULL);
  for(i=0;i<chsum;i++){
    histEntry[i] = XtVaCreateManagedWidget
    ("testmenu",smeBSBObjectClass,histMenu,
     XtNlabel,hist[i].name,
     NULL);
  }

  histMenuButton = XtVaCreateManagedWidget
    ("histMenuButton",menuButtonWidgetClass,panel,
     XtNlabel,"Histogram Menu",
     XtNvertDistance,10,
     XtNheight,20,
     XtNwidth,120,
     XtNmenuName,"histMenu",
     XtNtop,XawChainTop,
     XtNbottom,XawChainTop,
     XtNleft,XawChainLeft,
     XtNright,XawChainLeft,
     XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
     XtVaTypedArg,XtNbackground,XtRString,"LightCyan",strlen("LightCyan")+1,
     NULL);

  wideButton = XtVaCreateManagedWidget(
        "wide",commandWidgetClass,panel,
	XtNlabel,"Wide",
	XtNvertDistance,10,
	XtNfromHoriz,histMenuButton,
	XtNwidth,45,
	XtNheight,20,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Blue",strlen("Blue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"PaleGoldenrod",strlen("PaleGoldenrod")+1,
	 NULL);

  hhButton = XtVaCreateManagedWidget(
        "hh",commandWidgetClass,panel,
	XtNlabel,"h/2",
	XtNfromHoriz,wideButton,
	XtNvertDistance,10,
	XtNwidth,45,
	XtNheight,20,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Blue",strlen("Blue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"PaleGoldenrod",strlen("PaleGoldenrod")+1,
	 NULL);
  hwButton = XtVaCreateManagedWidget(
        "hw",commandWidgetClass,panel,
	XtNlabel,"h*2",
	XtNfromHoriz,hhButton,
	XtNvertDistance,10,
	XtNwidth,45,
	XtNheight,20,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Blue",strlen("Blue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"PaleGoldenrod",strlen("PaleGoldenrod")+1,
	 NULL);

  hlButton = XtVaCreateManagedWidget(
        "hl",commandWidgetClass,panel,
	XtNlabel,"Log",
	XtNfromHoriz,hwButton,
	XtNvertDistance,10,
	XtNwidth,45,
	XtNheight,20,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Blue",strlen("Blue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"PaleGoldenrod",strlen("PaleGoldenrod")+1,
	 NULL);

  quitButton = XtVaCreateManagedWidget(
        "quit",commandWidgetClass,panel,
	XtNlabel,"Quit",
	XtNfromHoriz,hlButton,
	XtNvertDistance,10,
	XtNwidth,45,
	XtNheight,20,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"DeepPink",strlen("DeepPink")+1,
	XtVaTypedArg,XtNbackground,XtRString,"PaleGoldenrod",strlen("PaleGoldenrod")+1,
	 NULL);

  xyLabel = XtVaCreateManagedWidget(
        "xylabel",labelWidgetClass,panel,
	XtNlabel,"            ",
	XtNfromHoriz,quitButton,
	XtNhorizDistance,10,
	XtNvertDistance,10,
	XtNborderWidth,1,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"NavyBlue",strlen("NavyBlue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"Wheat",strlen("Wheat")+1,
	 NULL);

  curToggle = XtVaCreateManagedWidget(
        "curToggle",toggleWidgetClass,panel,
	XtNlabel,"Cursol",
	XtNfromHoriz,xyLabel,
	XtNvertDistance,10,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"NavyBlue",strlen("NavyBlue")+1,
	XtVaTypedArg,XtNbackground,XtRString,"LightYellow",strlen("LightYellow")+1,
	 NULL);


  yuLabel = XtVaCreateManagedWidget(
        "yu",labelWidgetClass,panel,
	XtNlabel,"00000",
	XtNborderWidth,0,
	XtNvertDistance,40,
	XtNhorizDistance,10,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtNjustify,XtJustifyRight,
	XtNresize,False,
	XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
	XtVaTypedArg,XtNbackground,XtRString,"LightSteelBlue",strlen("LightSteelBlue")+1,
	 NULL);

  XtVaGetValues(yuLabel,XtNwidth,&lw,XtNheight,&lh,NULL);
  lw &= 0xffff;
  lh &= 0xffff;

  ylLabel = XtVaCreateManagedWidget(
        "yl",labelWidgetClass,panel,
	XtNlabel,"00000",
	XtNborderWidth,0,
	XtNfromVert,yuLabel,
	XtNvertDistance,ch-lh-20,
	XtNhorizDistance,10,
	XtNjustify,XtJustifyRight,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtNresize,False,
	XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
	XtVaTypedArg,XtNbackground,XtRString,"LightSteelBlue",strlen("LightSteelBlue")+1,
	 NULL);

  xlLabel = XtVaCreateManagedWidget(
        "xl",labelWidgetClass,panel,
	XtNlabel,"00000",
	XtNborderWidth,0,
	XtNjustify,XtJustifyLeft,
	XtNfromVert,yuLabel,
	XtNvertDistance,ch-lh,
	XtNhorizDistance,50,
	XtNresize,False,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
	XtVaTypedArg,XtNbackground,XtRString,"LightSteelBlue",strlen("LightSteelBlue")+1,
	 NULL);

  xuLabel = XtVaCreateManagedWidget(
        "xu",labelWidgetClass,panel,
	XtNlabel,"00000",
	XtNborderWidth,0,
	XtNjustify,XtJustifyRight,
	XtNfromVert,xlLabel,
	XtNfromHoriz,xlLabel,
	XtNvertDistance,-lh,
	XtNhorizDistance,cw-lw-40,
	XtNresize,False,
	XtNtop,XawChainTop,
	XtNbottom,XawChainTop,
	XtNleft,XawChainLeft,
	XtNright,XawChainLeft,
	XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
	XtVaTypedArg,XtNbackground,XtRString,"LightSteelBlue",strlen("LightSteelBlue")+1,
	 NULL);

  dtoplevel = XtVaCreatePopupShell("NBBQHist 2D",topLevelShellWidgetClass,
				   panel,NULL);
  dpanel = XtVaCreateManagedWidget("2dform",formWidgetClass,dtoplevel,
	 XtVaTypedArg,XtNbackground,XtRString,
	 "MediumTurquoise",strlen("MidiumTurquoise")+1,
	 NULL);

  dhistMenu = XtVaCreatePopupShell
    ("dhistMenu",simpleMenuWidgetClass,dtoplevel,
     XtNlabel,"Select 2D-Hist",
     XtNwidth,120,
     XtVaTypedArg,XtNbackground,XtRString,"LightCyan",strlen("LightCyan")+1,
     NULL);
  for(i=0;i<dchsum;i++){
    dhistEntry[i] = XtVaCreateManagedWidget
    ("testmenu",smeBSBObjectClass,dhistMenu,
     XtNlabel,dhist[i].name,
     NULL);
  }

  dhistMenuButton = XtVaCreateManagedWidget
    ("dhistMenuButton",menuButtonWidgetClass,dpanel,
     XtNlabel,"2D Histogram Menu",
     XtNvertDistance,10,
     XtNheight,20,
     XtNwidth,120,
     XtNmenuName,"dhistMenu",
     XtNtop,XawChainTop,
     XtNbottom,XawChainTop,
     XtNleft,XawChainLeft,
     XtNright,XawChainLeft,
     XtVaTypedArg,XtNforeground,XtRString,"Black",strlen("Black")+1,
     XtVaTypedArg,XtNbackground,XtRString,"LightCyan",strlen("LightCyan")+1,
     NULL);

  dcanvas = XtVaCreateManagedWidget(
	"dcanvas",coreWidgetClass,dpanel,
	XtNhorizDistance,50,
	XtNvertDistance,35,
	XtNwidth,300,
	XtNheight,300,
	XtNtop,XawChainTop,
	XtNleft,XawChainLeft,
	XtVaTypedArg,XtNbackground,XtRString,
	"White",strlen("White")+1,
	NULL);
  
  XtVaGetValues(dcanvas,XtNwidth,&dcw,XtNheight,&dch,
		XtNx,&dcx,XtNy,&dcy,NULL);
  dcw &= 0xffff;
  dch &= 0xffff;
  dcx &= 0xffff;
  dcy &= 0xffff;

  XtAddCallback(quitButton,XtNcallback,(XtCallbackProc)quit_proc,NULL);
  XtAddCallback(wideButton,XtNcallback,(XtCallbackProc)wide_hist,NULL);
  XtAddCallback(hhButton,XtNcallback,(XtCallbackProc)hhhist,NULL);
  XtAddCallback(hwButton,XtNcallback,(XtCallbackProc)hwhist,NULL);
  XtAddCallback(hlButton,XtNcallback,(XtCallbackProc)hlhist,NULL);
  XtAddCallback(curToggle,XtNcallback,(XtCallbackProc)update_hist,NULL);

  for(i=0;i<chsum;i++){
    XtAddCallback(histEntry[i],XtNcallback,(XtCallbackProc)select_hist,
		  (XtPointer)i);
  }
  for(i=0;i<dchsum;i++){
    XtAddCallback(dhistEntry[i],XtNcallback,(XtCallbackProc)dselect_hist,
		  (XtPointer)i);
  }

  XtAddEventHandler(canvas,ButtonReleaseMask|ButtonPressMask|
		    ExposureMask,
		    FALSE,(XtEventHandler)mouse_evt,NULL);

  XtAddEventHandler(dcanvas,ButtonReleaseMask|ButtonPressMask|
		    ExposureMask,
		    FALSE,(XtEventHandler)dmouse_evt,NULL);

}

void showFrame(void){
  XtRealizeWidget(toplevel);
  XtPopup(dtoplevel,XtGrabNone);
  init_dis(&canvas);
  update_hist();
}

