import java.awt.*;

public class DimData{
    private int data[][];
    private int dimSize,scale;
    private int xdata,ydata,xscale,yscale;
    private int dimNumber;
    private String Name;

    DimData(int num,int x,int y,int size,int sc,String name){
        dimNumber = num;
        xdata = x;
        ydata = y;
        dimSize = size;
        data = new int[dimSize][dimSize];
        if(sc == 0){
            xscale = x/dimSize;
            yscale = y/dimSize;
        }else{
            xscale = sc;
            yscale = sc;
        }
        Name = name;
    }

    void count(int x,int y){
        int xx,yy;
        if(x != 0xffffffff && y != 0xffffffff
           && x < xdata && y < ydata){
            /*
            x &= xdata - 1;
            y &= ydata - 1;
            */
            xx = x/xscale;
            yy = y/yscale;
            if(xx < dimSize && yy < dimSize){
                data[xx][yy]++;
            }
        }
    }

    int read(int x,int y){
        if(x < dimSize && y < dimSize){
            return data[x][y];
        }else{
            return 0;
        }
    }

    void clear(){
        data = new int[dimSize][dimSize];
    }

    String getName(){
        return Name;
    }

    int getSize(){
        return dimSize;
    }
}
