public class HistData{

    private int dataScale,opNum;
    private int[] Data,opChannel;
    private String Name;
    private OperatePoint[] operatepoint;
    public int dataNumber;

    public HistData(String name,int number,int scale){
        dataNumber = number;
        dataScale = 1;
        for(int i=0;i<scale;i++){
            dataScale *= 2;
        }
        Name = name;
        Data = new int[dataScale];
		opChannel = new int[10];
		operatepoint = new OperatePoint[10];
		opNum = 0;
    }

    void count(int input){
        if(input != 0xffffffff && input < dataScale){
            /*input &= dataScale - 0x01;*/
            Data[input]++;
        }
    }

    void clear(){
        Data = new int[dataScale];
    }

    int getScale(){
        return dataScale;
    }

    int getData(int channel){
		int val;
		val = Data[channel];
		for(int i=0;i<opNum;i++){
			if(channel == opChannel[i]){
				val = operatepoint[i].operateValue(val);
			}
		}
		if(val < 0){
			val = 0;
		}
		if(val > 2147483647){
			val = 2147483647;
		}
        return val;
    }

    String getName(){
        return Name;
    }

	void addOperatePoint(int ch,int x,int type){
		opChannel[opNum] = ch;
		operatepoint[opNum] = new OperatePoint(x,type);
		opNum++;
	}
}
