import java.awt.*;
import java.awt.event.*;

public class MakeOperatePoint extends Frame
    implements ActionListener,WindowListener{

	TextField chTF,xTF;
	Choice opChoice;
	Button okButton,cancelButton;
	private int num;

	MakeOperatePoint(int n){
		num = n;
		this.setTitle("Make Operate Point");
		this.setFont(StartupDAQ.defaultFont);
		this.addWindowListener(this);
		Panel panel = new Panel(new GridLayout(0,3));
		Panel bpanel = new Panel();

		chTF = new TextField();
		xTF = new TextField();
		okButton = new Button("Make");
		okButton.addActionListener(this);
		cancelButton = new Button("Cancel");
		cancelButton.addActionListener(this);

		opChoice = new Choice();
		opChoice.add("+");
		opChoice.add("-");
		opChoice.add("*");
		opChoice.add("/");
		opChoice.select(2);

		panel.add(new Label("Channel",Label.CENTER));
		panel.add(new Label("Operater",Label.CENTER));
		panel.add(new Label("Value",Label.CENTER));
		panel.add(chTF);
		panel.add(opChoice);
		panel.add(xTF);
		bpanel.add(okButton);
		bpanel.add(cancelButton);

		this.add(panel,"Center");
		this.add(bpanel,"South");
		this.pack();
		this.show();
	}

	public void actionPerformed(ActionEvent evt){
		Object obj = evt.getSource();
		int ch,x,op;
		if(obj == okButton){
			ch = Integer.parseInt(chTF.getText());
			x = Integer.parseInt(xTF.getText());
			op = opChoice.getSelectedIndex();
			StartupDAQ.conFrame.histdata[num].addOperatePoint(ch,x,op);
			StartupDAQ.conFrame.histFrame[num].repaint();
			StartupDAQ.conFrame.histcanvas[num].repaint();
		}
		dispose();
	}

	/* WindowLintener */
	public void windowClosed(WindowEvent evt){
	}

	public void windowClosing(WindowEvent evt){
		dispose();
	}

	public void windowOpened(WindowEvent evt){
	}

	public void windowIconified(WindowEvent evt){
	}

	public void windowDeiconified(WindowEvent evt){
	}

	public void windowActivated(WindowEvent evt){
	}

	public void windowDeactivated(WindowEvent evt){
	}
}